
Cook: openmpi 1.5.3
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (web/cache): gcc-lib-math-6.3.0
Installing (web/cache): libgfortran-6.3.0
Installing (web/cache): gfortran-6.3.0
Installing (pkg/local): libltdl-2.4.6
Installing (pkg/local): perl-core-5.26.1
Installing (pkg/local): perl-5.26.1
Installing (pkg/local): autoconf-2.69
Installing (pkg/local): automake-1.15.1
Installing (pkg/local): libtool-2.4.6
Installing (pkg/local): openssh-7.6p1
ssh-keygen: generating new host keys: RSA DSA ECDSA ED25519 
Installing (pkg/local): valgrind-3.12.0
Installing (pkg/local): valgrind-dev-3.12.0
Extracting source archive "openmpi-1.5.3.tar.bz2"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

configure: loading site script /etc/slitaz/cook.site

============================================================================
== Configuring Open MPI
============================================================================

*** Startup tests
checking build system type... i486-pc-linux-gnu
checking host system type... i486-pc-linux-gnu
checking target system type... i486-pc-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... config/install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking how to create a ustar tar archive... none
checking dependency style of gcc... gcc3

*** Checking versions
checking Open MPI version... 1.5.3
checking Open MPI release date... Mar 16, 2011
checking Open MPI Subversion repository version... r24532
checking Open MPI Run-Time Environment version... 1.5.3
checking Open MPI Run-Time Environment release date... Mar 16, 2011
checking Open MPI Run-Time Environment Subversion repository version... r24532
checking Open Portable Access Layer version... 1.5.3
checking Open Portable Access Layer release date... Mar 16, 2011
checking Open Portable Access Layer Subversion repository version... r24532

*** Initialization, setup
configure: builddir: /home/slitaz/wok/openmpi/source/openmpi-1.5.3
configure: srcdir: /home/slitaz/wok/openmpi/source/openmpi-1.5.3
installing to directory "/usr"

*** OPAL Configuration options
checking if want to run code coverage... no
checking if want to compile with branch probabilities... no
checking if want to debug memory usage... no
checking if want to profile memory usage... no
checking if want developer-level compiler pickyness... no
checking if want developer-level debugging code... no
checking if want to install project-internal header files... no
checking if want pretty-print stacktrace... yes
checking if want pty support... yes
checking if want weak symbol support... yes
checking if want dlopen support... yes
checking if want heterogeneous support... no
checking if want trace file debugging... no
checking if want fault tolerance... Disabled fault tolerance
checking if want IPv6 support... no
checking if want package/brand string... Open MPI root@tank Distribution
checking if want ident string... 1.5.3
checking if want to use an alternative checksum algo for messages... no
checking maximum length of processor name... 256
checking maximum length of error string... 256
checking maximum length of object name... 64
checking maximum length of info key... 36
checking maximum length of info val... 256
checking maximum length of port name... 1024
checking maximum length of datarep string... 128

*** ORTE Configuration options
checking if want full RTE support... yes
checking if want orterun "--prefix" behavior to be enabled by default... no
checking if want reliable multicast... no

*** OMPI Configuration options
checking if want compile-time warnings inside of mpi.h... no
checking if want sparse process groups... no
checking if want peruse support... no
checking if want Fortran 77 bindings... yes
checking if want Fortran 90 bindings... yes
checking Fortran 90 bindings "size"... small
checking if want PMPI... yes
checking if want C++ bindings... yes
checking if want MPI::SEEK_SET support... yes
checking if want run-time MPI parameter checking... runtime
checking max supported array dimension in F90 MPI bindings... 4

============================================================================
== Compiler and preprocessor tests
============================================================================

*** C compiler and preprocessor
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking whether gcc and cc understand -c and -o together... yes
checking for the C compiler vendor... gnu
checking for ANSI C header files... (cached) yes
checking if gcc supports -finline-functions... yes
checking if gcc supports -fno-strict-aliasing... yes
configure: WARNING:  -fno-strict-aliasing has been added to CFLAGS
checking if gcc supports __builtin_expect... yes
checking if gcc supports __builtin_prefetch... yes
checking for C optimization flags... -O3 -DNDEBUG -march=i486 -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1 -finline-functions -fno-strict-aliasing
checking for Interix environment... no
checking for C ident string support... #ident
checking for int8_t... yes
checking for uint8_t... yes
checking for int16_t... yes
checking for uint16_t... yes
checking for int32_t... yes
checking for uint32_t... yes
checking for int64_t... yes
checking for uint64_t... yes
checking for int128_t... no
checking for uint128_t... no
checking for long long... yes
checking for long double... yes
checking for float _Complex... yes
checking for double _Complex... yes
checking for long double _Complex... yes
checking for intptr_t... yes
checking for uintptr_t... yes
checking for mode_t... yes
checking for ssize_t... yes
checking for ptrdiff_t... yes
checking size of char... 1
checking size of short... 2
checking size of int... 4
checking size of long... 4
checking size of long long... 8
checking size of float... 4
checking size of double... 8
checking size of long double... 12
checking size of float _Complex... 8
checking size of double _Complex... 16
checking size of long double _Complex... 24
checking size of void *... 4
checking size of size_t... 4
checking size of ssize_t... 4
checking size of ptrdiff_t... 4
checking size of wchar_t... 4
checking alignment of _Bool... 1
checking alignment of int8_t... 1
checking alignment of int16_t... 2
checking alignment of int32_t... 4
checking alignment of int64_t... 4
checking alignment of char... 1
checking alignment of short... 2
checking alignment of wchar_t... 4
checking alignment of int... 4
checking alignment of long... 4
checking alignment of long long... 4
checking alignment of float... 4
checking alignment of double... 4
checking alignment of long double... 4
checking alignment of float _Complex... 4
checking alignment of double _Complex... 4
checking alignment of long double _Complex... 4
checking alignment of void *... 4
checking for C bool type... no
checking size of _Bool... 1
checking for inline... __inline__
checking for C/C++ restrict keyword... __restrict
checking for weak symbol support... yes
checking for functional offsetof macro... yes

*** C++ compiler and preprocessor
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for the C++ compiler vendor... gnu
checking if g++ supports -finline-functions... yes
configure: WARNING:  -finline-functions has been added to CXXFLAGS
checking if C and C++ are link compatible... yes
checking for C++ optimization flags... -O3 -DNDEBUG -march=i486 -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1 -finline-functions
checking size of bool... 1
checking alignment of bool... 1

*** C++ compiler and preprocessor
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether g++ accepts -g... (cached) yes
checking dependency style of g++... (cached) gcc3
checking how to run the C++ preprocessor... g++ -E
checking if C++ compiler works... yes
checking if g++ supports -finline-functions... yes
configure: WARNING:  -finline-functions has been added to CXXFLAGS
checking if C and C++ are link compatible... (cached) yes
checking for C++ optimization flags... -O3 -DNDEBUG -march=i486 -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1 -finline-functions
checking size of bool... (cached) 1
checking alignment of bool... (cached) 1
checking if able to build the MPI C++ bindings... yes
checking for the C++ compiler vendor... (cached) gnu
checking if want C++ exception handling... no
checking for C++ template_repository_directory... not used
checking for C++ compiler template parameters... none needed
checking for C++ ident string support... #ident
checking if g++ supports __builtin_expect... yes
checking if g++ supports __builtin_prefetch... yes
checking if g++ supports const_cast<> properly... yes

*** Compiler characteristics
checking for __attribute__... yes
checking for __attribute__(aligned)... yes
checking for __attribute__(always_inline)... yes
checking for __attribute__(cold)... yes
checking for __attribute__(const)... yes
checking for __attribute__(deprecated)... yes
checking for __attribute__(deprecated_argument)... yes
checking for __attribute__(format)... yes
checking for __attribute__(format_funcptr)... yes
checking for __attribute__(hot)... yes
checking for __attribute__(malloc)... yes
checking for __attribute__(may_alias)... yes
checking for __attribute__(no_instrument_function)... yes
checking for __attribute__(nonnull)... yes
checking for __attribute__(noreturn)... yes
checking for __attribute__(noreturn_funcptr)... yes
checking for __attribute__(packed)... yes
checking for __attribute__(pure)... yes
checking for __attribute__(sentinel)... yes
checking for __attribute__(unused)... yes
checking for __attribute__(visibility)... yes
checking for __attribute__(warn_unused_result)... yes
checking for __attribute__(weak_alias)... yes
checking for compiler familyid... 1
checking for compiler familyname... GNU
checking for compiler version... 459520
checking for compiler version_str... 7.3.0

*** Assembler
checking dependency style of gcc... gcc3
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking for fgrep... /bin/grep -F
checking if need to remove -g from CCASFLAGS... no
checking whether to enable smp locks... yes
checking if .proc/endp is needed... no
checking directive for setting text section... .text
checking directive for exporting symbols... .globl
checking for objdump... objdump
checking if .note.GNU-stack is needed... yes
checking suffix for labels... :
checking prefix for global symbol labels... 
checking prefix for lsym labels... .L
checking prefix for function in .type... @
checking if .size is needed... yes
checking if .align directive takes logarithmic value... no
checking if gcc supports GCC inline assembly... no
checking if gcc supports DEC inline assembly... no
checking if gcc supports XLC inline assembly... no
checking if g++ supports GCC inline assembly... no
checking if g++ supports DEC inline assembly... no
checking if g++ supports XLC inline assembly... no
checking for assembly format... default-.text-.globl-:--.L-@-1-0-1-1-1
checking for asssembly architecture... IA32
checking for perl... perl
checking for pre-built assembly file... yes (atomic-ia32-linux.s)
checking for atomic assembly filename... atomic-ia32-linux.s

*** Fortran 77 compiler
checking for gfortran... gfortran
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether gfortran accepts -g... yes

*** Fortran 90/95 compiler
checking whether we are using the GNU Fortran compiler... yes
checking whether /usr/bin/gfortran accepts -g... yes
checking if Fortran 77 compiler works... no
**********************************************************************
* It appears that your Fortran 77 compiler is unable to produce working
* executables.  A simple test application failed to properly
* execute.  Note that this is likely not a problem with Open MPI,
* but a problem with the local compiler installation.  More
* information (including exactly what command was given to the
* compiler and what error resulted when the command was executed) is
* available in the config.log file in this directory.
**********************************************************************
configure: error: Could not run a simple Fortran 77 program.  Aborting.

Build dependencies to remove: 12
Removing: autoconf automake gcc-lib-math gfortran libgfortran libltdl libtool 
openssh perl perl-core valgrind valgrind-dev

ERROR: cook failed

Debug information
================================================================================
Cook date: 2018-03-26 08:23
Wasted time : 32s ~ 1m
328:configure: error: Could not run a simple Fortran 77 program.  Aborting.
334:ERROR: cook failed
================================================================================

